# Command: topology::CreateLayer

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    topology::CreateLayer - create a spatial layer of nodes

Synopsis:

      dict CreateLayer -> layer

Description:

    The Topology module organizes neuronal networks in
      layers. A layer is a special type of subnet which contains information
      about the spatial position of its nodes. There are three classes of
      layers: grid-based layers, in which each element is placed at a
      location in a regular grid; free layers, in which elements can be
      placed arbitrarily in space; and random layers, where the elements are
      distributed randomly throughout a region in space.  Which kind of layer
      this command creates depends on the elements in the supplied
      specification dictionary.

Parameters:

      dict	- dictionary with layer specification

Author:

    Håkon Enger, Kittel Austvoll

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/topology/topologymodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative